avi_systemconfiguration – Module for setup of SystemConfiguration Avi RESTful Object — Ansible Documentation

- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# avi_systemconfiguration – Module for setup of SystemConfiguration Avi RESTful Object

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module is used to configure SystemConfiguration object
- more examples at https://github.com/avinetworks/devops

## Requirements

The below requirements are needed on the host that executes this module.

- avisdk

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
admin_auth_configuration - |  | Adminauthconfiguration settings for systemconfiguration.
api_context dictionary added in 2.5 |  | Avi API context that includes current session ID and CSRF Token. This allows user to perform single login and re-use the session.
api_version string | Default: "16.4.4" | Avi API version of to use for Avi API and objects.
avi_api_patch_op - added in 2.5 | Choices: add replace delete | Patch operation to use when using avi_api_update_method as patch.
avi_api_update_method - added in 2.5 | Choices: put ← patch | Default method for object update is HTTP PUT. Setting to patch will override that behavior to use HTTP PATCH.
avi_credentials dictionary added in 2.5 |  | Avi Credentials dictionary which can be used in lieu of enumerating Avi Controller login details.
| api_version - | Default: "16.4.4" | Avi controller version
| controller - |  | Avi controller IP or SQDN
| csrftoken - |  | Avi controller API csrftoken to reuse existing session with session id
| password - |  | Avi controller password
| port - |  | Avi controller port
| session_id - |  | Avi controller API session id to reuse existing session with csrftoken
| tenant - | Default: "admin" | Avi controller tenant
| tenant_uuid - |  | Avi controller tenant UUID
| timeout - | Default: 300 | Avi controller request timeout
| token - |  | Avi controller API token
| username - |  | Avi controller username
avi_disable_session_cache_as_fact boolean added in 2.6 | Choices: no yes | It disables avi session information to be cached as a fact.
controller string | Default: "" | IP address or hostname of the controller. The default value is the environment variable `AVI_CONTROLLER`.
default_license_tier - added in 2.5 |  | Specifies the default license tier which would be used by new clouds. Enum options - ENTERPRISE_16, ENTERPRISE_18. Field introduced in 17.2.5. Default value when not specified in API or module is interpreted by Avi Controller as ENTERPRISE_18.
dns_configuration - |  | Dnsconfiguration settings for systemconfiguration.
dns_virtualservice_refs - |  | Dns virtualservices hosting fqdn records for applications across avi vantage. If no virtualservices are provided, avi vantage will provide dns services for configured applications. Switching back to avi vantage from dns virtualservices is not allowed. It is a reference to an object of type virtualservice.
docker_mode boolean | Choices: no yes | Boolean flag to set docker_mode. Default value when not specified in API or module is interpreted by Avi Controller as False.
email_configuration - |  | Emailconfiguration settings for systemconfiguration.
global_tenant_config - |  | Tenantconfiguration settings for systemconfiguration.
linux_configuration - |  | Linuxconfiguration settings for systemconfiguration.
mgmt_ip_access_control - |  | Configure ip access control for controller to restrict open access.
ntp_configuration - |  | Ntpconfiguration settings for systemconfiguration.
password string | Default: "" | Password of Avi user in Avi controller. The default value is the environment variable `AVI_PASSWORD`.
portal_configuration - |  | Portalconfiguration settings for systemconfiguration.
proxy_configuration - |  | Proxyconfiguration settings for systemconfiguration.
secure_channel_configuration - added in 2.9 |  | Configure secure channel properties. Field introduced in 18.1.4, 18.2.1.
snmp_configuration - |  | Snmpconfiguration settings for systemconfiguration.
ssh_ciphers - |  | Allowed ciphers list for ssh to the management interface on the controller and service engines. If this is not specified, all the default ciphers are allowed.
ssh_hmacs - |  | Allowed hmac list for ssh to the management interface on the controller and service engines. If this is not specified, all the default hmacs are allowed.
state - | Choices: absent present ← | The state that should be applied on the entity.
tenant string | Default: "admin" | Name of tenant used for all Avi API calls and context of object.
tenant_uuid string | Default: "" | UUID of tenant used for all Avi API calls and context of object.
url - |  | Avi controller URL of the object.
username string | Default: "" | Username used for accessing Avi controller. The default value is the environment variable `AVI_USERNAME`.
uuid - |  | Unique object identifier of the object.
welcome_workflow_complete boolean added in 2.9 | Choices: no yes | This flag is set once the initial controller setup workflow is complete. Field introduced in 18.2.3. Default value when not specified in API or module is interpreted by Avi Controller as False.

## Notes

Note

- For more information on using Ansible to manage Avi Network devices see https://www.ansible.com/ansible-avi-networks.

## Examples

    - name: Example to create SystemConfiguration object
      avi_systemconfiguration:
        controller: 10.10.25.42
        username: admin
        password: something
        state: present
        name: sample_systemconfiguration

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
obj dictionary | success, changed | SystemConfiguration (api/systemconfiguration) object

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Gaurav Rastogi (@grastogi23) <grastogi@avinetworks.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.